*{
    margin: 0;
    padding 0;
    box-sizing: border-box;
    text-decoration: none;
    list-style: none;
    font-family: sans-serif;
    border: none;
    outline: none;
    scroll-behavior: smooth;
    letter-spacing: .4px;
}
:root{
    --color-black: #000;
    --color-white: #fff;
    --color-dark: #353535;
    --color-dark-variant: #555;
    
    --transition: .4s ease;
}
h1,h2,h3,h4,h5{
    line-height: 120%;
}
h1{
    font-size: 48px;
    color: var(--color-black);
}
h2{
    font-size: 28px;
    color: var(--color-dark-variant);
}
h3{
    font-size: 26px;
    color: var(--color-black)
}
h4{
    font-size: 19px;
    color: var(--color-black);
}
h5{
    font-size: 18px;
    font-weight: 400;

}
.heading{
    text-align: center;
    margin-bottom: 2rem;
}
p{
    font-size: 17px;
    line-height: 140%;
    color: var(--color-dark-variant);
}
.heading-p{
    padding-top: 9rem;
    text-align: center;
    
}
a{
    font-size: 24px;
    color: var(--color-black);
    text-decoration-color: var(--color-white);
    transition: var(--transition);

}
a:hover{
    color: var(--color-black);
    text-decoration-color: var(--color-dark-variant) !important;
    text-underline-offset: 1rem;
    text-decoration: underline;
}
.btn {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 8rem;
    padding: 1rem;
    border-radius: 2rem;
    cursor: pointer;
    color: var(--color-black);
    border: 1px solid var(--color-dark-variant);
    font-weight: 600;
    font-size: 14px;
    transition: var(--transition);
}

.btn:hover{
    background: var(--color-dark-variant);
    color: var(--color-white);
}
.btn-dark{
    color: var(--color-white);
    background: var(--color-dark);
    text-decoration: none !important;
}
.btn-dark:hover{
    background: var(--color-dark);
}
img{
    width: 100%;
    display: block;
}
.container{
    margin: 0 auto;
    max-width: 1100px;
    width: 90%;
}

/**barra de navegacion**/
nav{
    height: 8rem;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    display: grid;
    place-items: center;  
    background-color: white;
}
.nav-container{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100%;
}
.logo{
    font-size: 32px;
    color: var(--color-black), !important;;
    text-decoration: none !important;
}
.nav-links{
    display: flex;
    align-items: center;
    gap: 2rem;
}
.icon1{
    width: 32px;  
    height: max-content;
}
/**barra de navegacion**/

/**header**/
header{
    padding-top: 14rem;
}
.header-container{
    display: grid;
    grid-template-columns:1fr 1fr;
    max-width: 820px;
    gap: 20px;
    justify-content: space-between;
}
.header-right{
    text-align: center ;
    margin: auto;
}
.header-right p{
    color: var(--color-dark-variant);
}
.header-right h2{
    margin-top: .4rem;
}
.header-action-aria{
    text-align: center ;
    margin-top: .7rem;
    display: flex;
    gap: .7rem;
}
.header-social{
    display: flex;
    gap: 1rem ;
    justify-content: center;
    margin: 1rem;
}
/**header**/
/**about**/
.about-container{
    display: grid;
    grid-template-columns: 38% auto;
    gap: 4rem;
    align-items: center;
}
.about-left{
    border-radius: 20px;
    overflow: hidden;
}
.basic-edu{
    display: flex;
    gap: 32px ;
    margin-bottom: 32px;
}
.edu-box{
    padding: 24px;
    text-align: center;
    border: 1px solid var(--color-dark-variant);
    border-radius: 30px;   
    width: 100%; 
}
.edu-box img{
    margin: auto;
}
/**about**/
/**experiencia**/
section{
    position: relative;
}
.arrow  {
    position: absolute;
    right: 3%;
    transition: var(--transition);
    margin-top: 1.4rem;
}
.arrow:hover{
    margin-top: 2rem  ;

}
.experience-container{
    display:center;
    grid-template-columns: 1fr 1fr;
    gap: 4rem; 
    max-width: 900px; /* Puedes ajustar el ancho máximo según tus necesidades */
}
.experience-box{
    border: 1px solid var(--color-dark-variant);
    border-radius: 30px;
    padding: 24px;
    
}
.experience-box h2{
    text-align: center;
    margin-bottom: 2rem;
}
.experience{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 30px   
}
.ex-div{
    margin: auto;
    display: flex;
    gap: 20px ;
}
/**experiencia**/
/**projecto**/
.projects-container{
    display: grid;
    grid-template-columns: repeat(3,1fr);
    gap: 20px  ; 
}
.projects{
    width: 400px;
    padding: 24px;
    border: 1px solid var(--color-dark-variant);
    border-radius: 30px;
    text-align: center;
}
.projects img{
  
    border-radius: 30px;
    margin-bottom: 1rem;
}
/**projecto**/
/**contacto**/
.contact-container{
    max-width: 30rem;
    border: 1px solid var(--color-dark-variant);
    padding: 24px;
    border-radius: 30px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.email,.linkedin{
    display: flex;
    align-items: center;
    gap: .5rem ;
}
/**contacto**/
/**footer**/
footer{
    margin-top: 9rem;
    padding: 30px;
    text-align: center;
}
footer .nav-links{
    justify-content:center ;
    margin-bottom :3rem; ;
}
/**footer**/




